// partition:  a container for organizing a set of sequential integers
//             into non-overlapping groups.
// Version:    0.1
// Copyright 2013 Matthew T. Busche.
//
// This program is free software:  you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along
// with this program.  If not, see <http://www.gnu.org/licenses/>.

package org.mattbusche.util.partition;

/** Simple extension of a RuntimeException for exceptional conditions detected
 ** in package org.mattbusche.util.partition.
 **/
public class PartitionException extends RuntimeException
{
    static final long serialVersionUID = 1L;

    /** Constructs a new <code>PartitionException</code> with
     ** <code>null</code> as its detail message.
     **/
    public PartitionException()
    {
    }

    /** Constructs a new <code>PartitionException</code> with the
     ** specified detail message.
     **/
    public PartitionException(String message)
    {
        super(message);
    }
}
